Loading...
Searching...
No Matches
fdasd.in.h File Reference

Go to the source code of this file.

## Data Structures

struct | config_data
struct | dasd_eckd_characteristics
struct | dasd_information_t
struct | fdasd_anchor
struct | format_data_t
struct | partition_info

## Macros

#define | ALTERNATE_CYLINDERS_USED 0x10
#define | BIODASDDISABLE _IO(DASD_IOCTL_LETTER,0)
#define | BIODASDENABLE _IO(DASD_IOCTL_LETTER,1)
#define | BIODASDINFO _IOR(DASD_IOCTL_LETTER,1,dasd_information_t)
#define | BLKGETSIZE64 _IOR(0x12,114,size_t)
#define | BLKROGET _IO(0x12,94) /* get read-only status (0 = read_write) */
#define | BLKRRPART _IO(0x12,95)
#define | BLKSSZGET _IO(0x12,104)
#define | DASD_FMT_INT_COMPAT 8 /* use OS/390 compatible disk layout */
#define | DASD_FMT_INT_FMT_HA 2 /* write home address, also set FMT_R0 ! */
#define | DASD_FMT_INT_FMT_R0 1 /* write record zero */
#define | DASD_FMT_INT_INVAL 4 /* invalidate tracks */
#define | DASD_IOCTL_LETTER 'D'
#define | DASD_MIN_API_VERSION 0
#define | DASD_PARTN_BITS 2
#define | DASDAPIVER _IOR(DASD_IOCTL_LETTER,0,int)
#define | DEFAULT_FDASD_CONF "/etc/fdasd.conf" /* default config file */
#define | DEVICE "device"
#define | DISC "disc"
#define | FDASD_VERSION "1.32.0"
#define | HDIO_GETGEO 0x0301
#define | PART "part"
#define | PART_TYPE_LVM "LVM "
#define | PART_TYPE_NATIVE "NATIVE"
#define | PART_TYPE_RAID "RAID "
#define | PART_TYPE_SWAP "SWAP "
#define | PARTITION_LINUX 0x83
#define | PARTITION_LINUX_LVM 0x8e
#define | PARTITION_LINUX_RAID 0xfd
#define | PARTITION_LINUX_SWAP 0x82
#define | PARTN_MASK ((1 << DASD_PARTN_BITS) - 1)
#define | PDEBUG
#define | USABLE_PARTITIONS ((1 << DASD_PARTN_BITS) - 1)

## Typedefs

typedef struct config_data | config_data_t
typedef struct dasd_information_t | dasd_information_t
typedef struct fdasd_anchor | fdasd_anchor_t
typedef struct format_data_t | format_data_t
typedef struct partition_info | partition_info_t

## Enumerations

enum | fdasd_failure { unable_to_open_disk , unable_to_seek_disk , unable_to_read_disk , read_only_disk , unable_to_ioctl , api_version_mismatch , wrong_disk_type , wrong_disk_format , disk_in_use , config_syntax_error , vlabel_corrupted , dsname_corrupted , malloc_failed , device_verification_failed , volser_not_found }
enum | offset { lower , upper }

## Functions

struct { |
unsigned char f1 |
unsigned short f2 |
unsigned short f3 |
} | __attribute__ ((packed)) f_0x01
partition_info_t * | fdasd_add_partition (fdasd_anchor_t *anc, unsigned int start, unsigned int stop)
void | fdasd_change_volser (fdasd_anchor_t *anc, char *str)
void | fdasd_check_api_version (fdasd_anchor_t *anc, int fd)
void | fdasd_check_volser (char *volser, int devno)
int | fdasd_check_volume (fdasd_anchor_t *anc, int fd)
void | fdasd_cleanup (fdasd_anchor_t *anchor)
int | fdasd_get_geometry (const PedDevice *dev, fdasd_anchor_t *anc, int fd)
int | fdasd_get_volser (fdasd_anchor_t *anc, char *volser, int fd)
void | fdasd_initialize_anchor (fdasd_anchor_t *anc)
int | fdasd_prepare_labels (fdasd_anchor_t *anc, int fd)
void | fdasd_recreate_vtoc (fdasd_anchor_t *anc)
void | fdasd_reuse_vtoc (fdasd_anchor_t *anc)
int | fdasd_write_labels (fdasd_anchor_t *anc, int fd)

## Variables

unsigned char | async
unsigned char | byte_per_track [3]
unsigned char | cache
unsigned char | cache_info
unsigned char | cfw
unsigned short | cu_type
unsigned char | defect_wr
unsigned char | dev_class
unsigned char | dev_model
unsigned short | dev_type
unsigned char | dfw
unsigned char | director
unsigned char | dual_copy
unsigned char | f1
unsigned short | f2
unsigned short | f3
unsigned char | f4
unsigned char | f5
unsigned char | factor6
unsigned char | factor7
unsigned char | factor8
unsigned short | first_alt_trk
unsigned short | first_dia_trk
unsigned short | first_sup_trk
unsigned char | formula
unsigned short | home_bytes
unsigned int | long_no_cyl
unsigned short | max_rec_zero
unsigned char | MDR_ID
unsigned char | model
unsigned char | mult_burst
unsigned short | no_alt_trk
unsigned short | no_cyl
unsigned short | no_dia_trk
unsigned short | no_sup_trk
unsigned char | OBR_ID
unsigned char | RD_IN_LR
unsigned char | rd_trk_set
unsigned char | reserved
unsigned char | reserved1
unsigned char | reserved2
unsigned char | reserved3
unsigned char | reserved4
unsigned char | reserved5
unsigned char | reserved6
unsigned char | reset_alleg
unsigned char | RT_in_LR
unsigned char | RWANY_in_LR
unsigned char | sec_per_trk
unsigned char | sense_down
unsigned char | striping
unsigned char | support
unsigned short | trk_per_cyl
unsigned char | unit_type
unsigned char | XRC_supported

## Macro Definition Documentation

## ALTERNATE_CYLINDERS_USED

#define ALTERNATE_CYLINDERS_USED 0x10

## BIODASDDISABLE

#define BIODASDDISABLE _IO(DASD_IOCTL_LETTER,0)

## BIODASDENABLE

#define BIODASDENABLE _IO(DASD_IOCTL_LETTER,1)

## BIODASDINFO

#define BIODASDINFO _IOR(DASD_IOCTL_LETTER,1,dasd_information_t)

## BLKGETSIZE64

#define BLKGETSIZE64 _IOR(0x12,114,size_t)

## BLKROGET

#define BLKROGET _IO(0x12,94) /* get read-only status (0 = read_write) */

## BLKRRPART

#define BLKRRPART _IO(0x12,95)

## BLKSSZGET

#define BLKSSZGET _IO(0x12,104)

## DASD_FMT_INT_COMPAT

#define DASD_FMT_INT_COMPAT 8 /* use OS/390 compatible disk layout */

## DASD_FMT_INT_FMT_HA

#define DASD_FMT_INT_FMT_HA 2 /* write home address, also set FMT_R0 ! */

## DASD_FMT_INT_FMT_R0

#define DASD_FMT_INT_FMT_R0 1 /* write record zero */

## DASD_FMT_INT_INVAL

#define DASD_FMT_INT_INVAL 4 /* invalidate tracks */

## DASD_IOCTL_LETTER

#define DASD_IOCTL_LETTER 'D'

## DASD_MIN_API_VERSION

#define DASD_MIN_API_VERSION 0

## DASD_PARTN_BITS

#define DASD_PARTN_BITS 2

## DASDAPIVER

#define DASDAPIVER _IOR(DASD_IOCTL_LETTER,0,int)

## DEFAULT_FDASD_CONF

#define DEFAULT_FDASD_CONF "/etc/fdasd.conf" /* default config file */

## DEVICE

#define DEVICE "device"

## DISC

#define DISC "disc"

## FDASD_VERSION

#define FDASD_VERSION "1.32.0"

## HDIO_GETGEO

#define HDIO_GETGEO 0x0301

## PART

#define PART "part"

## PART_TYPE_LVM

#define PART_TYPE_LVM "LVM "

## PART_TYPE_NATIVE

#define PART_TYPE_NATIVE "NATIVE"

## PART_TYPE_RAID

#define PART_TYPE_RAID "RAID "

## PART_TYPE_SWAP

#define PART_TYPE_SWAP "SWAP "

## PARTITION_LINUX

#define PARTITION_LINUX 0x83

## PARTITION_LINUX_LVM

#define PARTITION_LINUX_LVM 0x8e

## PARTITION_LINUX_RAID

#define PARTITION_LINUX_RAID 0xfd

## PARTITION_LINUX_SWAP

#define PARTITION_LINUX_SWAP 0x82

## PARTN_MASK

#define PARTN_MASK ((1 << DASD_PARTN_BITS) - 1)

## PDEBUG

#define PDEBUG

## USABLE_PARTITIONS

#define USABLE_PARTITIONS ((1 << DASD_PARTN_BITS) - 1)

## Typedef Documentation

## config_data_t

typedef struct config_data config_data_t

## dasd_information_t

typedef struct dasd_information_t dasd_information_t

## fdasd_anchor_t

typedef struct fdasd_anchor fdasd_anchor_t

## format_data_t

typedef struct format_data_t format_data_t

## partition_info_t

typedef struct partition_info partition_info_t

## Enumeration Type Documentation

## fdasd_failure

enum fdasd_failure

Enumerator
unable_to_open_disk |
unable_to_seek_disk |
unable_to_read_disk |
read_only_disk |
unable_to_ioctl |
api_version_mismatch |
wrong_disk_type |
wrong_disk_format |
disk_in_use |
config_syntax_error |
vlabel_corrupted |
dsname_corrupted |
malloc_failed |
device_verification_failed |
volser_not_found |

## offset

enum offset

Enumerator
lower |
upper |

## Function Documentation

## __attribute__()

struct @104140151230076047101347374000216124127117117365 __attribute__::__attribute__ | ( | (packed) |  | ) |

## fdasd_add_partition()

partition_info_t * fdasd_add_partition | ( | fdasd_anchor_t * | anc,
|  | unsigned int | start,
|  | unsigned int | stop )

## fdasd_change_volser()

void fdasd_change_volser | ( | fdasd_anchor_t * | anc,
|  | char * | str )

## fdasd_check_api_version()

void fdasd_check_api_version | ( | fdasd_anchor_t * | anc,
|  | int | fd )

## fdasd_check_volser()

void fdasd_check_volser | ( | char * | volser,
|  | int | devno )

## fdasd_check_volume()

int fdasd_check_volume | ( | fdasd_anchor_t * | anc,
|  | int | fd )

## fdasd_cleanup()

void fdasd_cleanup | ( | fdasd_anchor_t * | anchor | ) |

## fdasd_get_geometry()

int fdasd_get_geometry | ( | const PedDevice * | dev,
|  | fdasd_anchor_t * | anc,
|  | int | fd )

## fdasd_get_volser()

int fdasd_get_volser | ( | fdasd_anchor_t * | anc,
|  | char * | volser,
|  | int | fd )

## fdasd_initialize_anchor()

void fdasd_initialize_anchor | ( | fdasd_anchor_t * | anc | ) |

## fdasd_prepare_labels()

int fdasd_prepare_labels | ( | fdasd_anchor_t * | anc,
|  | int | fd )

## fdasd_recreate_vtoc()

void fdasd_recreate_vtoc | ( | fdasd_anchor_t * | anc | ) |

## fdasd_reuse_vtoc()

void fdasd_reuse_vtoc | ( | fdasd_anchor_t * | anc | ) |

## fdasd_write_labels()

int fdasd_write_labels | ( | fdasd_anchor_t * | anc,
|  | int | fd )

## Variable Documentation

## async

unsigned char async

## byte_per_track

unsigned char byte_per_track[3]

## cache

unsigned char cache

## cache_info

unsigned char cache_info

## cfw

unsigned char cfw

## cu_type

unsigned short cu_type

## defect_wr

unsigned char defect_wr

## dev_class

unsigned char dev_class

## dev_model

unsigned char dev_model

## dev_type

unsigned short dev_type

## dfw

unsigned char dfw

## director

unsigned char director

## dual_copy

unsigned char dual_copy

## f1

unsigned char f1

## f2

unsigned char f2

## f3

unsigned char f3

## f4

unsigned char f4

## f5

unsigned char f5

## factor6

unsigned char factor6

## factor7

unsigned char factor7

## factor8

unsigned char factor8

## first_alt_trk

unsigned short first_alt_trk

## first_dia_trk

unsigned short first_dia_trk

## first_sup_trk

unsigned short first_sup_trk

## formula

unsigned char formula

## home_bytes

unsigned short home_bytes

## long_no_cyl

unsigned int long_no_cyl

## max_rec_zero

unsigned short max_rec_zero

## MDR_ID

unsigned char MDR_ID

## model

unsigned char model

## mult_burst

unsigned char mult_burst

## no_alt_trk

unsigned short no_alt_trk

## no_cyl

unsigned short no_cyl

## no_dia_trk

unsigned short no_dia_trk

## no_sup_trk

unsigned short no_sup_trk

## OBR_ID

unsigned char OBR_ID

## RD_IN_LR

unsigned char RD_IN_LR

## rd_trk_set

unsigned char rd_trk_set

## reserved

unsigned char reserved

## reserved1

unsigned char reserved1

## reserved2

unsigned char reserved2[3]

## reserved3

unsigned char reserved3[6]

## reserved4

unsigned char reserved4

## reserved5

unsigned char reserved5

## reserved6

unsigned char reserved6

## reset_alleg

unsigned char reset_alleg

## RT_in_LR

unsigned char RT_in_LR

## RWANY_in_LR

unsigned char RWANY_in_LR

## sec_per_trk

unsigned char sec_per_trk

## sense_down

unsigned char sense_down

## striping

unsigned char striping

## support

unsigned char support

## trk_per_cyl

unsigned short trk_per_cyl

## unit_type

unsigned char unit_type

## XRC_supported

unsigned char XRC_supported